summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2015-08-30 08:21:56 +0200
committerHans de Graaff <graaff@gentoo.org>2015-08-30 08:29:46 +0200
commit9f0c698469448adb1deaaa4d982072e5f0377e4c (patch)
tree3f1c40a9132017363e8831ec729e4c42ce3b5faf /dev-ruby/kramdown
parentdev-util/cucumber-core: cleanup (diff)
downloadgentoo-9f0c698469448adb1deaaa4d982072e5f0377e4c.tar.gz
gentoo-9f0c698469448adb1deaaa4d982072e5f0377e4c.tar.bz2
gentoo-9f0c698469448adb1deaaa4d982072e5f0377e4c.zip
dev-ruby/kramdown: version bump
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'dev-ruby/kramdown')
-rw-r--r--dev-ruby/kramdown/Manifest1
-rw-r--r--dev-ruby/kramdown/kramdown-1.8.0.ebuild55
2 files changed, 56 insertions, 0 deletions
diff --git a/dev-ruby/kramdown/Manifest b/dev-ruby/kramdown/Manifest
index b7add9ddee7..fb67e18e552 100644
--- a/dev-ruby/kramdown/Manifest
+++ b/dev-ruby/kramdown/Manifest
@@ -1,3 +1,4 @@
DIST kramdown-1.4.1.gem 226304 SHA256 6e8bcdbc1a4e3aab40253e3d573133fb66fe958a6cea21df4f780f83fdaf1797 SHA512 ea1f32f11a377860851390ce889819ab6fd9aba2b7127a7718eb4f820e2b4acdeee353e303dab42618508727197b2e219dc74b05a0ae2bd4382bd41bba5cbcb3 WHIRLPOOL e57001f1f0d302e4fe9006f9c9a3df6c28d5df61d083208c4d342f1adbcf886fb6ac66adedcdc9aa33c2f6034de9d6d1451c1e7817e1d5f962ab948f2737a988
DIST kramdown-1.4.2.gem 226816 SHA256 ae9b9456c69fa06f9c3058841e09b85e07cda875eb36c3202ea46baf8e123ea8 SHA512 31e7a30bcc453968ec6db0c1f0e5f8cea222dde8b8f6a26da72e0cf1b049c9f4c4e8384685a5e241e41fda526cd0f5fba4ac7debd0fb0d3eb6539dd9afc1dd27 WHIRLPOOL aa0166861584c2e3115923db1de9203581c02f4cab42866a88947a3e52fb32eee4ab2cdcc2fd623669a4c8a2e1972a340d9100a04fbc595bb40bde46e553223f
DIST kramdown-1.6.0.gem 235520 SHA256 8bdb6aed0244d0fe77b2f5b49c44da0c8d597e7909b9f59052f7846bd1b85170 SHA512 f94aefab85fd95a5bc0e110900757408cb832f27f53c6c110295451d10143f879e64ce1c3d08b627645f5cf9b6800fa3b03d393d9733202a893633048849d349 WHIRLPOOL a213cfb292653e0b3bef42283c85b19dcadc88d89e8c17e77607781dcda979bb6ea0ce39ebf91a0a7b2afef63f47eb688791641e1f301fe542011c5114cc590f
+DIST kramdown-1.8.0.gem 238080 SHA256 54287608f4399006ae5549f009053d2029ad75bf462dc70203c116580ac0d867 SHA512 8dace5b6ad764654c4375a4c2fad171e88448281936ced8d4efc5956e291e7c31b0ef295845241cb3e36976dc4a1e78886d2dff9fc172845622ab74a3b062230 WHIRLPOOL a58df1a8b19b274baea9feb7658b17d524c3abf983c9f56c80c69a7c180e1c48f22b106c2685acb950504531cf10dd388eaf0fc3699eeb3d8aac82cb3521adb7
diff --git a/dev-ruby/kramdown/kramdown-1.8.0.ebuild b/dev-ruby/kramdown/kramdown-1.8.0.ebuild
new file mode 100644
index 00000000000..83897be3cea
--- /dev/null
+++ b/dev-ruby/kramdown/kramdown-1.8.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby19 ruby20 ruby21"
+
+RUBY_FAKEGEM_EXTRADOC="README.md AUTHORS CONTRIBUTERS"
+
+RUBY_FAKEGEM_EXTRAINSTALL="data"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Yet-another-markdown-parser but fast, pure Ruby, using a strict syntax definition"
+HOMEPAGE="http://kramdown.gettalong.org/"
+
+LICENSE="MIT"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="latex"
+
+LATEX_DEPS="latex? ( dev-texlive/texlive-latex dev-texlive/texlive-latexextra )"
+RDEPEND+=" ${LATEX_DEPS}"
+DEPEND+=" test? ( ${LATEX_DEPS} app-text/htmltidy )"
+
+ruby_add_rdepend "dev-ruby/prawn:2
+ dev-ruby/prawn-table
+ >=dev-ruby/rouge-1.8
+ >=dev-ruby/itextomml-1.5
+ >=dev-ruby/coderay-1.0.0
+ >=dev-ruby/ritex-1.0
+ >=dev-ruby/stringex-1.5.1"
+
+ruby_add_bdepend "doc? ( dev-ruby/rdoc )
+ test? ( >=dev-ruby/minitest-5.0 )"
+
+all_ruby_prepare() {
+ if ! use latex; then
+ # Remove latex tests. They will fail gracefully when latex isn't
+ # present at all, but not when components are missing (most
+ # notable ucs.sty).
+ sed -i -e '/latex -v/,/^ end/ s:^:#:' test/test_files.rb || die
+ fi
+
+ # Avoid tests requiring node to be installed with mathjaxnode.
+ rm -f test/testcases/span/math/mathjaxnode* \
+ test/testcases/block/15_math/mathjaxnode* || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ doman man/man1/kramdown.1
+}